| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_io_graph_item_t Struct Reference

Accumulated statistics for all frames falling within a single I/O graph time interval. More...

`#include <io_graph_item.h>`

## Public Attributes
uint32_t | frames
uint64_t | bytes
uint64_t | fields
union { |
nstime_t time_max |
double double_max |
int64_t int_max |
uint64_t uint_max |
}; |
union { |
nstime_t time_min |
double double_min |
int64_t int_min |
uint64_t uint_min |
}; |
union { |
nstime_t time_tot |
double double_tot |
}; |
uint32_t | first_frame_in_invl
uint32_t | min_frame_in_invl
uint32_t | max_frame_in_invl
uint32_t | last_frame_in_invl

## Detailed Description

Accumulated statistics for all frames falling within a single I/O graph time interval.

Note
  `frames` and `bytes` are always computed regardless of the active io_graph_item_unit_t. The min/max union members use 64-bit integers rather than doubles so that the originating frame number can be tracked exactly; values are only converted to double at plot time. Totals use double to avoid overflow across large intervals.

## Member Data Documentation

## ◆ [union]

union { ... } _io_graph_item_t

Running total of field values accumulated in this interval (used for average and sum).

## ◆ [union]

union { ... } _io_graph_item_t

Maximum field value observed in this interval.

## ◆ [union]

union { ... } _io_graph_item_t

Minimum field value observed in this interval.

## ◆ bytes

uint64_t _io_graph_item_t::bytes

Total bytes across all frames in this interval (always computed)

## ◆ double_max

double _io_graph_item_t::double_max

Maximum value for floating-point fields

## ◆ double_min

double _io_graph_item_t::double_min

Minimum value for floating-point fields

## ◆ double_tot

double _io_graph_item_t::double_tot

Cumulative total for numeric fields

## ◆ fields

uint64_t _io_graph_item_t::fields

Number of field occurrences accumulated in this interval

## ◆ first_frame_in_invl

uint32_t _io_graph_item_t::first_frame_in_invl

Frame number of the first frame in this interval

## ◆ frames

uint32_t _io_graph_item_t::frames

Number of frames in this interval (always computed)

## ◆ int_max

int64_t _io_graph_item_t::int_max

Maximum value for signed integer fields

## ◆ int_min

int64_t _io_graph_item_t::int_min

Minimum value for signed integer fields

## ◆ last_frame_in_invl

uint32_t _io_graph_item_t::last_frame_in_invl

Frame number of the last frame in this interval

## ◆ max_frame_in_invl

uint32_t _io_graph_item_t::max_frame_in_invl

Frame number of the frame that produced the maximum value

## ◆ min_frame_in_invl

uint32_t _io_graph_item_t::min_frame_in_invl

Frame number of the frame that produced the minimum value

## ◆ time_max

nstime_t _io_graph_item_t::time_max

Maximum value for relative/absolute time fields

## ◆ time_min

nstime_t _io_graph_item_t::time_min

Minimum value for relative/absolute time fields

## ◆ time_tot

nstime_t _io_graph_item_t::time_tot

Cumulative total for relative/absolute time fields

## ◆ uint_max

uint64_t _io_graph_item_t::uint_max

Maximum value for unsigned integer fields

## ◆ uint_min

uint64_t _io_graph_item_t::uint_min

Minimum value for unsigned integer fields

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/io_graph_item.h